Mantis Issue Tracking for Scribus
· Hosting provided by Anduin.net / Øverby Consulting ·

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0012104ScribusStylespublic2014-02-28 10:182014-04-06 01:08
ReporterPeterBenedek 
Assigned Tojghali 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSLinux Mint OS Version16 (32bit)
Product Version1.5.0svn 
Target Version1.5.0Fixed in Version1.4.4.svn 
Summary0012104: Crash when right clicking after style renaming
DescriptionEnvironment: Linux Mint 16 "Petra"
Version: Scribus 1.5.0 (https://launchpad.net/~scribus/+archive/ppa [^])
Language: HU

Edit - Style (F3)

Creating new styles (Paragraph style or Character style or Table style or Character style)

Rename style + RIGHT mouse button == crash

Link this video: https://www.dropbox.com/s/5neicalbfyeg9wc/Style_rename_crash.ogv [^]
TagsNo tags attached.
Patch
Attached Files

- Relationships

-  Notes
(0031425)
JLuc (updater)
2014-02-28 23:01
edited on: 2014-02-28 23:23

I confirm.
It requires applying a change first before right-clicking (twice ?) on the style in the left list.

Here is a backtrace. It looks totally inside Qt (?)


Program received signal SIGSEGV, Segmentation fault.
0x00007ffff6d3c6c3 in ?? ()
   from /home/jluc/Qt5.2.1/5.2.1/gcc_64/lib/libQt5Widgets.so.5
(gdb) bt
#0 0x00007ffff6d3c6c3 in ?? ()
   from /home/jluc/Qt5.2.1/5.2.1/gcc_64/lib/libQt5Widgets.so.5
0000001 0x00007ffff6d3c755 in ?? ()
   from /home/jluc/Qt5.2.1/5.2.1/gcc_64/lib/libQt5Widgets.so.5
0000002 0x00007ffff6d30a31 in QWidget::removeAction(QAction*) ()
   from /home/jluc/Qt5.2.1/5.2.1/gcc_64/lib/libQt5Widgets.so.5
0000003 0x0000000000f38271 in StyleManager::slotRightClick(QPoint const&) ()
0000004 0x0000000000620ef1 in StyleManager::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) ()
0000005 0x00007ffff76b06b1 in QMetaObject::activate(QObject*, int, int, void**) ()
   from /home/jluc/Qt5.2.1/5.2.1/gcc_64/lib/libQt5Core.so.5
0000006 0x00007ffff6d25ba5 in QWidget::customContextMenuRequested(QPoint const&) ()
   from /home/jluc/Qt5.2.1/5.2.1/gcc_64/lib/libQt5Widgets.so.5
0000007 0x00007ffff6d37a55 in QWidget::event(QEvent*) ()
   from /home/jluc/Qt5.2.1/5.2.1/gcc_64/lib/libQt5Widgets.so.5
0000008 0x00007ffff6e420f6 in QFrame::event(QEvent*) ()
   from /home/jluc/Qt5.2.1/5.2.1/gcc_64/lib/libQt5Widgets.so.5
0000009 0x00007ffff6f4e79b in QAbstractItemView::viewportEvent(QEvent*) ()
   from /home/jluc/Qt5.2.1/5.2.1/gcc_64/lib/libQt5Widgets.so.5
0000010 0x00007ffff6f8bc8a in QTreeView::viewportEvent(QEvent*) ()
   from /home/jluc/Qt5.2.1/5.2.1/gcc_64/lib/libQt5Widgets.so.5
0000011 0x00007ffff768795d in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () from /home/jluc/Qt5.2.1/5.2.1/gcc_64/lib/libQt5Core.so.5

(0031620)
christoph_s (administrator)
2014-04-05 16:37

PeterBenedek, can you please re-test.
(0031626)
PeterBenedek (reporter)
2014-04-05 20:48

Works well!
Thanks!

- Issue History
Date Modified Username Field Change
2014-02-28 10:18 PeterBenedek New Issue
2014-02-28 18:39 jghali Target Version => 1.5.0
2014-02-28 23:01 JLuc Note Added: 0031425
2014-02-28 23:01 JLuc Note Edited: 0031425 View Revisions
2014-02-28 23:02 JLuc Note Edited: 0031425 View Revisions
2014-02-28 23:23 JLuc Note Edited: 0031425 View Revisions
2014-03-01 23:59 jghali Summary Rename Style == Crash => Crash when right clicking after style renaming
2014-03-02 00:01 jghali Status new => resolved
2014-03-02 00:01 jghali Fixed in Version => 1.5.0svn
2014-03-02 00:01 jghali Resolution open => fixed
2014-03-02 00:01 jghali Assigned To => jghali
2014-03-09 10:07 jghali Fixed in Version 1.5.0svn => 1.4.4.svn
2014-04-05 16:37 christoph_s Note Added: 0031620
2014-04-05 20:48 PeterBenedek Note Added: 0031626
2014-04-06 01:08 christoph_s Status resolved => closed



Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker